Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 4936 - not a bug perse....
Summary: not a bug perse....
Keywords:
Status: CLOSED DEFERRED
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: initscripts
Version: 6.0
Hardware: All
OS: Linux
medium
low
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact:
URL: http://www.foxproject.org
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-09-06 04:59 UTC by ken
Modified: 2014-03-17 02:09 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-10-27 20:07:35 UTC


Attachments (Terms of Use)

Description ken 1999-09-06 04:59:37 UTC
I have a suggestion for modifications to the scripts in
/etc/rc.d/init.d... Most scripts check to see if the binary
exists before continuing:

[ -f /path/to/binary ] || exit 0

I suggest changing the behavior to instead check to see if
the file is executable before continuing:

[ -x /path/to/binary ] || exit 0

this way if the file doesn't have the right permissions, or
if there are libraries missing that would keep the binary
from executing, the script will stop.

Comment 1 Bill Nottingham 1999-10-27 20:07:59 UTC
We'll look at this for future releases.


Note You need to log in before you can comment on or make changes to this bug.